io.vertx.rxjava.ext.auth.oauth2.providers

## Class LiveAuth

- java.lang.Object
- - io.vertx.rxjava.ext.auth.oauth2.providers.LiveAuth

-     public class LiveAuth
      extends Object

  Simplified factory to create an for live.com Services.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<LiveAuth>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LiveAuth(LiveAuth delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OAuth2Auth` | `create(Vertx vertx, String clientId, String clientSecret)` Create a OAuth2Auth provider for live.com
    `static OAuth2Auth` | `create(Vertx vertx, String clientId, String clientSecret, HttpClientOptions httpClientOptions)` Create a OAuth2Auth provider for live.com
    `LiveAuth` | `getDelegate()`
    `static LiveAuth` | `newInstance(LiveAuth arg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<LiveAuth> __TYPE_ARG

  - ### Constructor Detail

    - #### LiveAuth

          public LiveAuth(LiveAuth delegate)

  - ### Method Detail

    - #### getDelegate

          public LiveAuth getDelegate()

    - #### create

          public static OAuth2Auth create(Vertx vertx,
                                          String clientId,
                                          String clientSecret)

      Create a OAuth2Auth provider for live.com
      Parameters:
        `vertx` -
        `clientId` - the client id given to you by live.com
        `clientSecret` - the client secret given to you by live.com
      Returns:

    - #### create

          public static OAuth2Auth create(Vertx vertx,
                                          String clientId,
                                          String clientSecret,
                                          HttpClientOptions httpClientOptions)

      Create a OAuth2Auth provider for live.com
      Parameters:
        `vertx` -
        `clientId` - the client id given to you by live.com
        `clientSecret` - the client secret given to you by live.com
        `httpClientOptions` - custom http client options
      Returns:

    - #### newInstance

          public static LiveAuth newInstance(LiveAuth arg)

Copyright © 2017. All rights reserved.